Skip to main content
GET
Get Block Rewards

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

Network name.

Available options:
solana

Query Parameters

startAt
string<date-time>

Timestamp of the report data period start in the ISO 8601 format. If not specified, the default value is the one month ago.

Example:

"2024-01-01T00:00:00.000Z"

finishAt
string<date-time>

Timestamp of the report data period finish in the ISO 8601 format. If not specified, the default value is the current date.

Example:

"2024-01-01T00:00:00.000Z"

startNumber
integer<int64>

Start number of the staking period.

finishNumber
integer<int64>

Finish number of the staking period.

limit
integer<int32>

Number of resources that a single response page contains.

Required range: 1 <= x <= 1000
Example:

50

offset
integer<int32>

Number of resources to exclude from a response.

Required range: 0 <= x <= 10000000
Example:

0

address
string
required

Address of the block rewards in the required network.

rewardType
enum<string>

Type of the block rewards to filter by. If not specified, rewards of every type are returned.

Available options:
Fee,
Voting,
Staking,
DeactivatedStake

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.